Main Page Widgets Namespaces Book

# Gtk::SeparatorToolItem Class Reference
[Widgets]

Inheritance diagram for Gtk::SeparatorToolItem:

[legend]
List of all members.

## Detailed Description

A toolbar item that separates groups of other toolbar items.

A Gtk::SeparatorToolItem is a Gtk::ToolItem that separates groups of other Gtk::ToolItems. Depending on the theme, it will often look like a vertical line on horizontally docked toolbars. If the property "expand" is `true` and the property "draw" is `false`, a Gtk::SeparatorToolItem will act as a "spring" that forces other items to the ends of the toolbar.

## Public Member Functions

const GtkSeparatorToolItem* | gobj () const
| Provides access to the underlying C GtkObject.
GtkSeparatorToolItem* | gobj ()
| Provides access to the underlying C GtkObject.
| SeparatorToolItem ()
virtual | ~SeparatorToolItem ()

## Related Functions

(Note that these are not member functions.)
Gtk::SeparatorToolItem* | wrap (GtkSeparatorToolItem* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::SeparatorToolItem::~SeparatorToolItem | ( |  | ) | `[virtual]`

Gtk::SeparatorToolItem::SeparatorToolItem | ( |  | ) |

## Member Function Documentation

const GtkSeparatorToolItem* Gtk::SeparatorToolItem::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ToolItem.

GtkSeparatorToolItem* Gtk::SeparatorToolItem::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ToolItem.

## Friends And Related Function Documentation

Gtk::SeparatorToolItem* wrap | ( | GtkSeparatorToolItem* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- separatortoolitem.h